Bug 182616 - [patch] net/tac_plus4 add stage support
Summary: [patch] net/tac_plus4 add stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-03 23:20 UTC by Olli Hauer
Modified: 2013-10-12 17:45 UTC (History)
0 users

See Also:


Attachments
stage_tac_plus4.diff (2.85 KB, patch)
2013-10-03 23:20 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2013-10-03 23:20:00 UTC
- add stage support
- use the framework to create the tacacs user
- MAKE_JOBS_UNSAFE=yes is also required for i386

patch: http://people.freebsd.org/~ohauer/diffs/stage/stage_tinderbox.diff
Comment 1 Edwin Groothuis freebsd_committer 2013-10-03 23:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2013-10-04 04:04:10 UTC
State Changed
From-To: open->feedback

Thanks for this, but why did you change the way the man pages are installed? 
The way the port is installing man pages is in line with the recommendations 
in the porter's handbook.
Comment 3 Olli Hauer 2013-10-04 23:24:27 UTC
Hi Joe,

if stage is enabled the old MAN* macros should be no longer used,
therefore I removed MAN5 and MAN8.


See:
https://wiki.freebsd.org/ports/StageDir [1]
http://svnweb.freebsd.org/changeset/ports/327910 [2]


from [2]
Unsupported macro if NO_STAGE is not set:
- MAN* with staging man page compression and handling of hardlinks and
  symlinks is automatically done in the stage. the manpages becomes then a
  "normal" plist files and should be tracked in pkg-plist.

-- 
olli
Comment 4 Joe Marcus Clarke 2013-10-05 01:39:21 UTC
On 10/4/13 6:24 PM, olli hauer wrote:
> Hi Joe,
>
> if stage is enabled the old MAN* macros should be no longer used,
> therefore I removed MAN5 and MAN8.
>
>
> See:
> https://wiki.freebsd.org/ports/StageDir [1]
> http://svnweb.freebsd.org/changeset/ports/327910 [2]
>
>
> from [2]
> Unsupported macro if NO_STAGE is not set:
> - MAN* with staging man page compression and handling of hardlinks and
>    symlinks is automatically done in the stage. the manpages becomes then a
>    "normal" plist files and should be tracked in pkg-plist.
>

Ah, so stage essentially forces compressed man pages.  I think the 
porter's handbook needs an update.

Joe

-- 
PGP Key : http://www.marcuscom.com/pgp.asc
Comment 5 dfilter service freebsd_committer 2013-10-12 17:38:12 UTC
Author: marcus
Date: Sat Oct 12 16:38:05 2013
New Revision: 330138
URL: http://svnweb.freebsd.org/changeset/ports/330138

Log:
  * Add STAGE support
  * Use the USERS/GROUPS framework to create the tacacs user
  * Apparently, MAKE_JOB_UNSAFE is needed on i386 as well as amd64
  
  PR:		182616
  Submitted by:	ohauer

Deleted:
  head/net/tac_plus4/pkg-install
Modified:
  head/net/tac_plus4/Makefile
  head/net/tac_plus4/pkg-plist

Modified: head/net/tac_plus4/Makefile
==============================================================================
--- head/net/tac_plus4/Makefile	Sat Oct 12 16:33:59 2013	(r330137)
+++ head/net/tac_plus4/Makefile	Sat Oct 12 16:38:05 2013	(r330138)
@@ -18,17 +18,11 @@ USE_LDCONFIG=	yes
 CONFIGURE_ARGS=	--with-groupid=$$(/usr/bin/id -g tacacs 2>/dev/null || echo '559') \
 		--with-userid=$$(/usr/bin/id -u tacacs 2>/dev/null || echo '559')
 
-MAN5=		tac_plus.conf.5
-MAN8=		tac_plus.8 tac_pwd.8
+USERS=		tacacs
+GROUPS=		tacacs
 
 CONFLICTS=	ru-tac+ia-[0-9]* tac_plus-libradius-[0-9]*
-
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "amd64"
 MAKE_JOBS_UNSAFE=	yes
-.endif
 
 # check expiration dates against 'expire' field of master.passwd file
 .if defined(TAC_EXPIRE_MASTER_PASSWD)
@@ -51,14 +45,9 @@ post-patch:
 		${WRKSRC}/configure
 
 post-install:
-	${INSTALL_DATA} ${FILESDIR}/tac_plus.conf.example ${PREFIX}/etc
-.if !defined(PACKAGE_BUILDING)
-	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-.endif
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${PREFIX}/share/doc/tac_plus
-	${INSTALL_DATA} ${WRKSRC}/users_guide ${PREFIX}/share/doc/tac_plus
-	${INSTALL_SCRIPT} ${WRKSRC}/tac_convert ${PREFIX}/share/doc/tac_plus
-.endif
+	${INSTALL_DATA} ${FILESDIR}/tac_plus.conf.example ${STAGEDIR}${PREFIX}/etc
+	@${MKDIR} ${STAGEDIR}${PREFIX}/share/doc/tac_plus
+	${INSTALL_DATA} ${WRKSRC}/users_guide ${STAGEDIR}${PREFIX}/share/doc/tac_plus
+	${INSTALL_SCRIPT} ${WRKSRC}/tac_convert ${STAGEDIR}${PREFIX}/share/doc/tac_plus
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net/tac_plus4/pkg-plist
==============================================================================
--- head/net/tac_plus4/pkg-plist	Sat Oct 12 16:33:59 2013	(r330137)
+++ head/net/tac_plus4/pkg-plist	Sat Oct 12 16:38:05 2013	(r330138)
@@ -6,6 +6,9 @@ lib/libtacacs.a
 lib/libtacacs.la
 lib/libtacacs.so
 lib/libtacacs.so.1
+man/man5/tac_plus.conf.5.gz
+man/man8/tac_plus.8.gz
+man/man8/tac_pwd.8.gz
 %%PORTDOCS%%%%DOCSDIR%%/tac_convert
 %%PORTDOCS%%%%DOCSDIR%%/users_guide
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Joe Marcus Clarke freebsd_committer 2013-10-12 17:45:24 UTC
State Changed
From-To: feedback->closed

Committed, thanks!